## ros-indigo-sdf-tracker 1.0.30

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
set(CMAKE_BUILD_TYPE Release) 
project(sdf_tracker)

## Find catkin macros and libraries
## if COMPONENTS list like find_package(catkin REQUIRED COMPONENTS xyz)
## is used, also find other catkin packages

find_package(cmake_modules REQUIRED)
find_package(Eigen REQUIRED)
find_package(catkin REQUIRED COMPONENTS roscpp std_msgs cv_bridge)

catkin_package(
    DEPENDS eigen opencv2 libvtk
    CATKIN_DEPENDS roscpp std_msgs cv_bridge
    INCLUDE_DIRS include
    LIBRARIES # TODO
)
find_package(VTK REQUIRED)
add_executable(sdf_tracker_node src/sdf_tracker_node.cpp)
add_library(${PROJECT_NAME} src/sdf_tracker.cpp)

find_package(OpenMP)
set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${OpenMP_CXX_FLAGS}")
set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} ${OpenMP_C_FLAGS}")

#uncomment if you have defined messages
#add_message_files(
#  FILES
  # TODO: List your msg files here
#)
#uncomment if you have defined services
#add_service_files(
#  FILES
  # TODO: List your msg files here
#)

include_directories(${EIGEN_INCLUDE_DIRS} ${Boost_INCLUDE_DIRS} ${catkin_INCLUDE_DIRS} ${VTK_INCLUDE_DIRS} include)
add_definitions(${EIGEN_DEFINITIONS})
target_link_libraries(${PROJECT_NAME} ${Boost_LIBRARIES} ${catkin_LIBRARIES} ${VTK_LIBRARIES})
target_link_libraries(sdf_tracker_node ${Boost_LIBRARIES} ${catkin_LIBRARIES} ${PROJECT_NAME})

#target_link_libraries(example ${PROJECT_NAME})
## Generate added messages and services with any dependencies listed here
#generate_messages(
    #TODO DEPENDENCIES geometry_msgs std_msgs
#)

# catkin_package parameters: http://ros.org/doc/groovy/api/catkin/html/dev_guide/generated_cmake_api.html#catkin-package
# TODO: fill in what other packages will need to use this package
install(TARGETS sdf_tracker_node ${PROJECT_NAME}
        ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
        LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
        RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
       )

install(DIRECTORY include/${PROJECT_NAME}/
	DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
       )
install(FILES
   launch/launch_sdf_tracker.launch
   DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

=== debian/changelog ===
ros-indigo-sdf-tracker (1.0.30-0trusty) trusty; urgency=high



 -- Daniel Canelhas <daniel.canelhas@oru.se>  Thu, 08 Oct 2015 22:00:00 -0000

ros-indigo-sdf-tracker (1.0.29-0trusty) trusty; urgency=high

  * removed outdated opencv2 dependency
  * Contributors: Todor Stoyanov

 -- Daniel Canelhas <daniel.canelhas@oru.se>  Wed, 07 Oct 2015 22:00:00 -0000

ros-indigo-sdf-tracker (1.0.28-0trusty) trusty; urgency=high



 -- Daniel Canelhas <daniel.canelhas@oru.se>  Thu, 04 Dec 2014 23:00:00 -0000

ros-indigo-sdf-tracker (1.0.27-0trusty) trusty; urgency=high



 -- Daniel Canelhas <daniel.canelhas@oru.se>  Thu, 04 Dec 2014 23:00:00 -0000

ros-indigo-sdf-tracker (1.0.26-0trusty) trusty; urgency=high



 -- Daniel Canelhas <daniel.canelhas@oru.se>  Tue, 02 Dec 2014 23:00:00 -0000

ros-indigo-sdf-tracker (1.0.25-0trusty) trusty; urgency=high



 -- Daniel Canelhas <daniel.canelhas@oru.se>  Sun, 30 Nov 2014 23:00:00 -0000

ros-indigo-sdf-tracker (1.0.24-0trusty) trusty; urgency=high



 -- Daniel Canelhas <daniel.canelhas@oru.se>  Mon, 24 Nov 2014 23:00:00 -0000

ros-indigo-sdf-tracker (1.0.23-0trusty) trusty; urgency=high



 -- Daniel Canelhas <daniel.canelhas@oru.se>  Mon, 24 Nov 2014 23:00:00 -0000

ros-indigo-sdf-tracker (1.0.20-0trusty) trusty; urgency=high

  * fixing problems with compatibility
  * Contributors: Todor Stoyanov

 -- Daniel Canelhas <daniel.canelhas@oru.se>  Thu, 20 Nov 2014 23:00:00 -0000

ros-indigo-sdf-tracker (1.0.18-0trusty) trusty; urgency=high

  * fixes for backward support and compatibility on new ubuntu versions
  * Contributors: Todor Stoyanov

 -- Daniel Canelhas <daniel.canelhas@oru.se>  Tue, 08 Apr 2014 22:00:00 -0000

ros-indigo-sdf-tracker (1.0.15-0trusty) trusty; urgency=high



 -- Daniel Canelhas <daniel.canelhas@oru.se>  Wed, 08 Jan 2014 23:00:00 -0000

ros-indigo-sdf-tracker (1.0.13-0trusty) trusty; urgency=high

  * trying to add backward compatibility for rosbuild
  * Contributors: Todor Stoyanov

 -- Daniel Canelhas <daniel.canelhas@oru.se>  Wed, 08 Jan 2014 23:00:00 -0000

ros-indigo-sdf-tracker (1.0.12-0trusty) trusty; urgency=high

  * Added catkinized sdf tracker in hydro
  * Contributors: Todor Stoyanov

 -- Daniel Canelhas <daniel.canelhas@oru.se>  Mon, 02 Dec 2013 23:00:00 -0000

=== debian/control ===
Source: ros-indigo-sdf-tracker
Section: misc
Priority: extra
Maintainer: Daniel Canelhas <daniel.canelhas@oru.se>
Build-Depends: debhelper (>= 9.0.0), libeigen3-dev, libvtk5-dev, ros-indigo-catkin, ros-indigo-cmake-modules, ros-indigo-cv-bridge, ros-indigo-roscpp, ros-indigo-std-msgs
Homepage: 
Standards-Version: 3.9.2

Package: ros-indigo-sdf-tracker
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libvtk5-dev, ros-indigo-cv-bridge, ros-indigo-roscpp, ros-indigo-std-msgs
Description: The sdf_tracker package

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-sdf-tracker//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
